package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.log.annotation.TrackGroup;
import com.docus.server.api.scheduling.management.SchTerminatorApi;
import com.docus.server.common.netty.server.TerminalToChannelCacheMap;
import com.docus.server.common.process.ChannelProcessor;
import com.docus.server.dto.scheduling.management.schterminator.AddSchTerminatorDTO;
import com.docus.server.dto.scheduling.management.schterminator.DeleteSchTerminatorDTO;
import com.docus.server.dto.scheduling.management.schterminator.EditSchTerminatorDTO;
import com.docus.server.service.ISchTerminatorService;
import com.docus.server.vo.scheduling.management.schterminator.SchTerminatorVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 执行管理器 控制器类
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Api(value = "终端管理器管理接口", tags = "终端管理器管理接口")
@RestController
public class SchTerminatorController implements SchTerminatorApi {
    @Resource
    private ISchTerminatorService iSchTerminatorService;
    @Resource
    private TerminalToChannelCacheMap channelRepository;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @Override
    public SchTerminatorVO findById(String id) {
        return iSchTerminatorService.findById(id);
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜索")
    @Override
    public PageResult<SchTerminatorVO> search(SearchDTO searchDTO) {
        return iSchTerminatorService.search(searchDTO);
    }

    /**
     * 新增
     *
     * @param addSchTerminatorDTO 编辑参数
     * @return 成功或失败
     */
    @ApiOperation("新增")
    @Override
    public boolean add(AddSchTerminatorDTO addSchTerminatorDTO) {
        return iSchTerminatorService.add(addSchTerminatorDTO);
    }

    /**
     * 编辑
     *
     * @param editSchTerminatorDTO 编辑参数
     */
    @ApiOperation("编辑")
    @TrackGroup(group = "SchTerminatorController", processor = ChannelProcessor.class)
    @Override
    public void edit(EditSchTerminatorDTO editSchTerminatorDTO) {
        iSchTerminatorService.edit(editSchTerminatorDTO);
    }

    /**
     * 批量删除
     *
     * @param deleteSchTerminatorDTO 删除参数
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @Override
    public int delete(DeleteSchTerminatorDTO deleteSchTerminatorDTO) {
        return iSchTerminatorService.delete(deleteSchTerminatorDTO);
    }

}
