package com.docus.server.infrastructure.dao;

import com.docus.infrastructure.core.db.dao.IBaseDao;
import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.SchCollectorVersion;

import java.util.List;

/**
 * 采集器版本列表管理 数据访问接口
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
public interface ISchCollectorVersionDao extends IBaseDao<SchCollectorVersion> {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    SchCollectorVersion findById(String id);

    /**
     * 新增
     *
     * @param schCollectorVersion 新增参数
     * @return 成功或失败
     */
    boolean add(SchCollectorVersion schCollectorVersion);

    /**
     * 编辑
     *
     * @param schCollectorVersion 编辑参数
     * @return 成功或失败
     */
    boolean edit(SchCollectorVersion schCollectorVersion);

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    int delete(List<Long> ids);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<SchCollectorVersion> search(SearchDTO searchDTO);

    /**
     * 根据采集器id和版本号查询是否重复
     *
     * @param collectorId        采集器id
     * @param collectorVersionNo 版本号码
     * @return SchCollectorVersion
     */
    SchCollectorVersion findByVersion(Long collectorId, String collectorVersionNo);

}
