package com.docus.server.infrastructure.dao.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.docus.core.util.Func;
import com.docus.infrastructure.core.db.dao.impl.BaseDaoImpl;
import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.SchCollectRecord;
import com.docus.server.infrastructure.dao.ISchCollectRecordDao;
import com.docus.server.infrastructure.mapper.SchCollectRecordMapper;
import com.github.pagehelper.PageHelper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 采集记录表 数据访问实现类
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Repository
public class SchCollectRecordDaoImpl extends BaseDaoImpl<SchCollectRecordMapper, SchCollectRecord> implements ISchCollectRecordDao {

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public SchCollectRecord findById(String id) {
        return super.findById(id);
    }

    /**
     * 新增
     *
     * @param schCollectRecord 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(SchCollectRecord schCollectRecord) {
        return super.save(schCollectRecord);
    }

    /**
     * 编辑
     *
     * @param schCollectRecord 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(SchCollectRecord schCollectRecord) {
        return super.updateById(schCollectRecord);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<Long> ids) {
        return super.deleteByIds(ids);
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<SchCollectRecord> search(SearchDTO searchDTO) {
        //分页
        PageHelper.startPage(searchDTO.getPageNum(), searchDTO.getPageSize());
        LambdaQueryWrapper<SchCollectRecord> query = Wrappers.lambdaQuery();
        //时间范围，默认按createTime
        if (searchDTO.getBeginTime() != null) {
            query.ge(SchCollectRecord::getCreateTime, searchDTO.getBeginTime());
        }
        if (searchDTO.getEndTime() != null) {
            query.le(SchCollectRecord::getCreateTime, searchDTO.getEndTime());
        }

        Object collectorId = searchDTO.getParams("collectorId");

        if (Func.isNotEmpty(collectorId)) {
            query.eq(SchCollectRecord::getCollectorId, collectorId);
        }

        //默认createTime倒序排序
        query.orderByDesc(SchCollectRecord::getCreateTime);
        List<SchCollectRecord> list = super.find(query);
        return new PageResult<>(list);
    }

}
