package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.scheduling.management.schoperationlog.AddSchOperationLogDTO;
import com.docus.server.dto.scheduling.management.schoperationlog.DeleteSchOperationLogDTO;
import com.docus.server.dto.scheduling.management.schoperationlog.EditSchOperationLogDTO;
import com.docus.server.vo.scheduling.management.schoperationlog.SchOperationLogVO;

/**
 * 采集调度器操作日志 服务接口
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
public interface ISchOperationLogService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    SchOperationLogVO findById(String id);

    /**
     * 新增
     *
     * @param addSchOperationLogDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddSchOperationLogDTO addSchOperationLogDTO);

    /**
     * 编辑
     *
     * @param editSchOperationLogDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditSchOperationLogDTO editSchOperationLogDTO);

    /**
     * 批量删除
     *
     * @param deleteSchOperationLogDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteSchOperationLogDTO deleteSchOperationLogDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<SchOperationLogVO> search(SearchDTO searchDTO);
}
