package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.scheduling.management.schvirtuallog.AddSchVirtualLogDTO;
import com.docus.server.dto.scheduling.management.schvirtuallog.DeleteSchVirtualLogDTO;
import com.docus.server.dto.scheduling.management.schvirtuallog.EditSchVirtualLogDTO;
import com.docus.server.vo.scheduling.management.schvirtuallog.SchVirtualLogVO;

/**
 * 虚拟机使用情况 服务接口
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
public interface ISchVirtualLogService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    SchVirtualLogVO findById(String id);

    /**
     * 新增
     *
     * @param addSchVirtualLogDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddSchVirtualLogDTO addSchVirtualLogDTO);

    /**
     * 编辑
     *
     * @param editSchVirtualLogDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditSchVirtualLogDTO editSchVirtualLogDTO);

    /**
     * 批量删除
     *
     * @param deleteSchVirtualLogDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteSchVirtualLogDTO deleteSchVirtualLogDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<SchVirtualLogVO> search(SearchDTO searchDTO);
}
