package com.docus.server.common.netty.client;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = NettyClientProperties.PREFIX)
public class NettyClientProperties {

    public static final String PREFIX = "netty.client";

    // 读空闲等待时间
    private int readerIdleTimeSeconds = 0;

    // 写空闲等待时间
    private int writerIdleTimeSeconds = 10;

    // 读写空闲等待时间
    private int allIdleTimeSeconds = 0;

    // 服务主机
    private String host;

    // 服务端口
    private Integer port;

    // 重连时间/秒
    private int reconnectSeconds = 10;

}
