package com.docus.server.collect.report.ws;

import javax.jws.WebService;

/**
 * @author Fang Ruichuan
 * @date 2022-11-14 19:03
 */
@WebService
public interface IReportServer {
    /**
     * 接收手麻报告信息
     *
     * @param saReportMessage 手麻报告信息
     * @return 返回信息
     */
    String pushSAReport(String saReportMessage);

    /**
     * 接收重症报告信息
     *
     * @param icuReportMessage 重症报告信息
     * @return 返回信息
     */
    String pushICUReport(String icuReportMessage);

    /**
     * 接收检验报告信息
     *
     * @param examinationReportMessage 检验报告信息
     * @return 返回信息
     */
    String pushExaminationReport(String examinationReportMessage);

    /**
     * 接收检查报告的信息 - 新增
     *
     * @param inspectionReportMessage 检查报告信息 - 新增
     * @return 成功或者异常信息
     */
    String pushAddInspectionReport(String inspectionReportMessage);

    /**
     * 接收检查报告的信息 - 更新
     *
     * @param inspectionReportMessage 检查报告信息 -更新
     * @return 成功或者异常信息
     */
    String pushUpdateInspectionReport(String inspectionReportMessage);
}
