package com.docus.server.api.segmentation;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrbasictest.AddOcrBasicTestDTO;
import com.docus.server.dto.segmentation.ocrbasictest.DeleteOcrBasicTestDTO;
import com.docus.server.dto.segmentation.ocrbasictest.EditOcrBasicTestDTO;
import com.docus.server.vo.segmentation.ocrbasictest.OcrBasicTestVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.List;


/**
 * 患者信息表-调试 API
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
@FeignClient(value = "docus-segmentation", contextId = "docus-segmentation.OcrBasicTestApi")
@RequestMapping("/ocr/BasicTest")
public interface OcrBasicTestApi {

    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    @GetMapping("/find/{id}")
    OcrBasicTestVO findById(@PathVariable(value = "id") Long id);

    /**
     * 查询所有
     *
     * @return 实体
     */
    @GetMapping("/findAll")
    List<OcrBasicTestVO> findAll();

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @PostMapping("/search")
    PageResult<OcrBasicTestVO> search(@RequestBody SearchDTO searchDTO);

    /**
     * 新增
     *
     * @param addOcrBasicTestDTO 新增参数
     */
    @PostMapping("/add")
    void add(@RequestBody AddOcrBasicTestDTO addOcrBasicTestDTO);

    /**
     * 编辑
     *
     * @param editOcrBasicTestDTO 编辑参数
     */
    @PutMapping("/edit")
    void edit(@RequestBody EditOcrBasicTestDTO editOcrBasicTestDTO);

    /**
     * 批量删除
     *
     * @param deleteOcrBasicTestDTO 删除参数
     * @return 成功或失败
     */
    @DeleteMapping("/delete")
    int delete(@RequestBody DeleteOcrBasicTestDTO deleteOcrBasicTestDTO);
}
