package com.docus.server.api.segmentation;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrcutconfig.AddOcrCutConfigDTO;
import com.docus.server.dto.segmentation.ocrcutconfig.DeleteOcrCutConfigDTO;
import com.docus.server.dto.segmentation.ocrcutconfig.EditOcrCutConfigDTO;
import com.docus.server.vo.segmentation.ocrcutconfig.OcrCutConfigVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.List;


/**
 * ocr图片剪切配置 API
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
@FeignClient(value = "docus-segmentation", contextId = "docus-segmentation.OcrCutConfigApi")
@RequestMapping("/ocr/CutConfig")
public interface OcrCutConfigApi {

    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    @GetMapping("/find/{id}")
    OcrCutConfigVO findById(@PathVariable(value = "id") Long id);

    /**
     * 查询所有
     *
     * @return 实体
     */
    @GetMapping("/findAll")
    List<OcrCutConfigVO> findAll();

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @PostMapping("/search")
    PageResult<OcrCutConfigVO> search(@RequestBody SearchDTO searchDTO);

    /**
     * 新增
     *
     * @param addOcrCutConfigDTO 新增参数
     */
    @PostMapping("/add")
    void add(@RequestBody AddOcrCutConfigDTO addOcrCutConfigDTO);

    /**
     * 编辑
     *
     * @param editOcrCutConfigDTO 编辑参数
     */
    @PutMapping("/edit")
    void edit(@RequestBody EditOcrCutConfigDTO editOcrCutConfigDTO);

    /**
     * 批量删除
     *
     * @param deleteOcrCutConfigDTO 删除参数
     * @return 成功或失败
     */
    @DeleteMapping("/delete")
    int delete(@RequestBody DeleteOcrCutConfigDTO deleteOcrCutConfigDTO);
}
