package com.docus.server.dto.scheduling.management.schcollecterrorlog;

import com.docus.server.enums.RetryTaskEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 采集器异常日志 Add DTO
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Data
@ApiModel(value = "AddSchCollectErrorLogDTO对象", description = "采集器异常日志")
public class AddSchCollectErrorLogDTO implements Serializable {

    @ApiModelProperty(value = "采集器终端ip")
    private String terminatorIp;

    @NotNull(message = "采集记录主键id不能为空")
    @ApiModelProperty(value = "采集记录主键id")
    private Long collectRecordId;

    @NotNull(message = "任务id不能为空")
    @ApiModelProperty(value = "任务id")
    private Long taskId;

    @NotNull(message = "任务类型不能为空")
    @ApiModelProperty(value = "0：不是重试任务，1：是重试任务")
    private RetryTaskEnum isRetryTask;

    @ApiModelProperty(value = "异常等级")
    private String level;

    @ApiModelProperty(value = "异常描述")
    private String description;

    @ApiModelProperty(value = "异常信息")
    private String exceptionInfo;

    @ApiModelProperty(value = "入库时间")
    private Date beginTime;

    @ApiModelProperty(value = "入库更新时间")
    private Date endTime;

    @ApiModelProperty(value = "采集器执行任务耗时时间")
    private Long takeUpTime;

}
