package com.docus.server.dto.scheduling.management.schcollector.task;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * 下发任务
 */
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
@ApiModel(value = "ReportDownTwoDTO", description = "下发任务")
public class ReportDownTwoDTO {
    @JsonIgnore
    @ApiModelProperty(value = "扩展参数")
    private Map<String, Object> params;

    @ApiModelProperty(value = "档案编号")
    private String patientId;

    @ApiModelProperty(value = "记账号")
    private String jzh;

    @ApiModelProperty(value = "档案类型")
    private String recordType;

    @ApiModelProperty(value = "档案时间")
    private String createTime;

    @ApiModelProperty(value = "患者信息")
    private ReportPatientTwoDTO patient = new ReportPatientTwoDTO();

    @ApiModelProperty(value = "住院信息")
    private List<ReportHospitalTwoDTO> hospitals = new ArrayList<>();

    @ApiModelProperty(value = "任务信息")
    private List<ReportTaskTwoDTO> tasks = new ArrayList<>();


}
