package com.docus.server.dto.segmentation;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("文件上传参数")
public class UploadBatchFileRequest {

    @ApiModelProperty(value = "业务系统病案主键")
    @NotNull(message = "业务系统病案主键不能为空")
    private String patientId;

    @ApiModelProperty(value = "病案号")
    @NotNull(message = "病案号不能为空")
    private String inpatientNo;

    @ApiModelProperty(value = "患者姓名")
    @NotNull(message = "患者姓名不能为空")
    private String name;

    @ApiModelProperty(value = "采集器id，来源")
    private String collectorId;

    @ApiModelProperty(value = "扫描用户代码 默认admin")
    private String scanUserCode = "admin";

    @ApiModelProperty(value = "扫描用户名称 默认admin")
    private String scanUserName = "admin";

    @ApiModelProperty(value = "文档类型，0：病案3.0归档系统 1：3.0门急诊归档系统 ")
    @NotNull(message = "文档类型不能为空")
    private Integer recordType = 0;

    @ApiModelProperty(value = "任务id，如果有，没有传入-1")
    @NotNull(message = "任务id不能为空")
    private Long taskId = -1L;

    @ApiModelProperty(value = "是否测试数据(0否 1是)")
    @NotNull(message = "是否测试数据(0否 1是)不能为空")
    private int testData;

    @ApiModelProperty(value = "文件信息Json FileDTO Model")
    @NotNull(message = "文件信息Json不能为空！")
    private String fileInfo;

}
