package com.docus.server.entity.scheduling.management;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.docus.server.enums.RetryTaskEnum;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 采集器异常日志
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sch_collect_error_log")
@ApiModel(value = "SchCollectErrorLog对象", description = "采集器异常日志")
public class SchCollectErrorLog implements Serializable {

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;

    @ApiModelProperty(value = "采集器终端ip")
    @TableField("terminator_ip")
    private String terminatorIp;

    @ApiModelProperty(value = "采集器id")
    @TableField("collector_id")
    private Long collectorId;

    @ApiModelProperty(value = "采集记录主键id")
    @TableField("collect_record_id")
    private Long collectRecordId;

    @ApiModelProperty(value = "任务id")
    @TableField("task_id")
    private Long taskId;

    @ApiModelProperty(value = "0：不是重试任务，1：是重试任务")
    @TableField("is_retry_task")
    private RetryTaskEnum isRetryTask;

    @ApiModelProperty(value = "异常等级")
    @TableField("level")
    private String level;

    @ApiModelProperty(value = "异常描述")
    @TableField("description")
    private String description;

    @ApiModelProperty(value = "异常信息")
    @TableField("exception_info")
    private String exceptionInfo;

    @ApiModelProperty(value = "本地存储路径")
    @TableField("screen_path")
    private String screenPath;

    @ApiModelProperty(value = "产生时间")
    @TableField("create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
