package com.docus.server;

import com.baomidou.mybatisplus.generator.AutoGenerator;
import com.baomidou.mybatisplus.generator.config.rules.DateType;
import com.docus.infrastructure.generator.BaseCodeGenerator;

import java.util.HashMap;
import java.util.Map;

public class CodeGenerator {
    public static void main(String[] args) {
        //字段名和枚举名的映射，不区分表名
        Map<String, String> enumColumnMap = new HashMap<>();
        enumColumnMap.put("PROFILE_ITЕM", "AdminProfileItemEnum");

        enumColumnMap.put("ORGANIZATION_TYPE", "OrganizationTypeEnum ");
        enumColumnMap.put("OPERATE_STATUS", "OperateStatusEnum");
        enumColumnMap.put("STATE", "StateEnum");
        enumColumnMap.put("PRIVILEGE_LEVEL", "PrivilegeLevelEnum");
        enumColumnMap.put("FLAG", "FlagEnum");
        enumColumnMap.put("collect_type", "CollectTypeEnum");
        BaseCodeGenerator.setEnumColumnMap(enumColumnMap);
        BaseCodeGenerator.setModuleName("docus-segmentation");//多个module，需要指定modulename
        //指定entity生成到独立module里，并生成 api interface
        BaseCodeGenerator.setClientInterfaceModuleName("docus-client-interface");
        BaseCodeGenerator.setClientInterfaceSubFolder("segmentation");//文件夹
        BaseCodeGenerator.setClientInterfaceBasePackage("com.docus.server");
        AutoGenerator defaultConfig = BaseCodeGenerator.getDefaultConfig();
        defaultConfig.getGlobalConfig().setSwagger2(true);
        defaultConfig.getGlobalConfig().setDateType(DateType.ONLY_DATE);
        defaultConfig.getStrategy().setEntityLombokModel(true);
        defaultConfig.getStrategy().setInclude("ocr_basic","ocr_cut_config","ocr_file_info","ocr_rule","ocr_special_rule","ocr_url_config","ocr_version","ocr_basic_test","ocr_cut_config_test","ocr_file_info_test","ocr_rule_test","ocr_special_rule_test","ocr_url_config_test");//需要生成的表，可指定多个，留空为全部生成
        BaseCodeGenerator.generate(defaultConfig);
    }
}
