package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.segmentation.OcrFileInfoTestApi;
import com.docus.server.dto.segmentation.ocrfileinfotest.AddOcrFileInfoTestDTO;
import com.docus.server.dto.segmentation.ocrfileinfotest.DeleteOcrFileInfoTestDTO;
import com.docus.server.dto.segmentation.ocrfileinfotest.EditOcrFileInfoTestDTO;
import com.docus.server.service.IOcrFileInfoTestService;
import com.docus.server.vo.segmentation.ocrfileinfotest.OcrFileInfoTestVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * ocr文件信息-调试 控制器类
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
@Api(value = "ocr文件信息-调试", tags = "ocr文件信息-调试")
@RestController
public class OcrFileInfoTestController implements OcrFileInfoTestApi {
    @Resource
    private IOcrFileInfoTestService iOcrFileInfoTestService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @Override
    public OcrFileInfoTestVO findById(Long id) {
        return iOcrFileInfoTestService.findById(id);
    }

    /**
     * 查询所有
     *
     * @return 实体
     */
    @ApiOperation("查询所有")
    @Override
    public List<OcrFileInfoTestVO> findAll() {
        return iOcrFileInfoTestService.findAll();
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜索")
    @Override
    public PageResult<OcrFileInfoTestVO> search(SearchDTO searchDTO) {
        return iOcrFileInfoTestService.search(searchDTO);
    }

    /**
     * 新增
     *
     * @param addOcrFileInfoTestDTO 编辑参数
     */
    @ApiOperation("新增")
    @Override
    public void add(AddOcrFileInfoTestDTO addOcrFileInfoTestDTO) {
        iOcrFileInfoTestService.add(addOcrFileInfoTestDTO);
    }

    /**
     * 编辑
     *
     * @param editOcrFileInfoTestDTO 编辑参数
     */
    @ApiOperation("编辑")
    @Override
    public void edit(EditOcrFileInfoTestDTO editOcrFileInfoTestDTO) {
        iOcrFileInfoTestService.edit(editOcrFileInfoTestDTO);
    }

    /**
     * 批量删除
     *
     * @param deleteOcrFileInfoTestDTO 删除参数
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @Override
    public int delete(DeleteOcrFileInfoTestDTO deleteOcrFileInfoTestDTO) {
        return iOcrFileInfoTestService.delete(deleteOcrFileInfoTestDTO);
    }
}
