package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.segmentation.OcrSpecialDetailApi;
import com.docus.server.dto.segmentation.ocrspecialdetail.AddOcrSpecialDetailDTO;
import com.docus.server.dto.segmentation.ocrspecialdetail.DeleteOcrSpecialDetailDTO;
import com.docus.server.dto.segmentation.ocrspecialdetail.EditOcrSpecialDetailDTO;
import com.docus.server.service.IOcrSpecialDetailService;
import com.docus.server.vo.segmentation.ocrspecialdetail.OcrSpecialDetailVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 特殊规则详情 控制器类
 *
 * @author AutoGenerator
 * @since 2023-08-25
 */
@Api(value = "特殊规则详情", tags = "特殊规则详情")
@RestController
public class OcrSpecialDetailController implements OcrSpecialDetailApi {
    @Resource
    private IOcrSpecialDetailService iOcrSpecialDetailService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @Override
    public OcrSpecialDetailVO findById(Long id) {
        return iOcrSpecialDetailService.findById(id);
    }

    /**
     * 查询所有
     *
     * @return 实体
     */
    @ApiOperation("查询所有")
    @Override
    public List<OcrSpecialDetailVO> findAll() {
        return iOcrSpecialDetailService.findAll();
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜索")
    @Override
    public PageResult<OcrSpecialDetailVO> search(SearchDTO searchDTO) {
        return iOcrSpecialDetailService.search(searchDTO);
    }

    /**
     * 新增
     *
     * @param addOcrSpecialDetailDTO 编辑参数
     */
    @ApiOperation("新增")
    @Override
    public void add(AddOcrSpecialDetailDTO addOcrSpecialDetailDTO) {
        iOcrSpecialDetailService.add(addOcrSpecialDetailDTO);
    }

    /**
     * 编辑
     *
     * @param editOcrSpecialDetailDTO 编辑参数
     */
    @ApiOperation("编辑")
    @Override
    public void edit(EditOcrSpecialDetailDTO editOcrSpecialDetailDTO) {
        iOcrSpecialDetailService.edit(editOcrSpecialDetailDTO);
    }

    /**
     * 批量删除
     *
     * @param deleteOcrSpecialDetailDTO 删除参数
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @Override
    public int delete(DeleteOcrSpecialDetailDTO deleteOcrSpecialDetailDTO) {
        return iOcrSpecialDetailService.delete(deleteOcrSpecialDetailDTO);
    }
}
