package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.segmentation.OcrSpecialRuleApi;
import com.docus.server.dto.segmentation.ocrspecialrule.AddOcrSpecialRuleDTO;
import com.docus.server.dto.segmentation.ocrspecialrule.DeleteOcrSpecialRuleDTO;
import com.docus.server.dto.segmentation.ocrspecialrule.EditOcrSpecialRuleDTO;
import com.docus.server.service.IOcrSpecialRuleService;
import com.docus.server.vo.segmentation.ocrspecialrule.OcrSpecialRuleVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 特殊策略表 控制器类
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
@Api(value = "特殊策略表", tags = "特殊策略表")
@RestController
public class OcrSpecialRuleController implements OcrSpecialRuleApi {
    @Resource
    private IOcrSpecialRuleService iOcrSpecialRuleService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @Override
    public OcrSpecialRuleVO findById(Long id) {
        return iOcrSpecialRuleService.findById(id);
    }

    /**
     * 查询所有
     *
     * @return 实体
     */
    @ApiOperation("查询所有")
    @Override
    public List<OcrSpecialRuleVO> findAll() {
        return iOcrSpecialRuleService.findAll();
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜索")
    @Override
    public PageResult<OcrSpecialRuleVO> search(SearchDTO searchDTO) {
        return iOcrSpecialRuleService.search(searchDTO);
    }

    /**
     * 新增
     *
     * @param addOcrSpecialRuleDTO 编辑参数
     */
    @ApiOperation("新增")
    @Override
    public void add(AddOcrSpecialRuleDTO addOcrSpecialRuleDTO) {
        iOcrSpecialRuleService.add(addOcrSpecialRuleDTO);
    }

    /**
     * 编辑
     *
     * @param editOcrSpecialRuleDTO 编辑参数
     */
    @ApiOperation("编辑")
    @Override
    public void edit(EditOcrSpecialRuleDTO editOcrSpecialRuleDTO) {
        iOcrSpecialRuleService.edit(editOcrSpecialRuleDTO);
    }

    /**
     * 批量删除
     *
     * @param deleteOcrSpecialRuleDTO 删除参数
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @Override
    public int delete(DeleteOcrSpecialRuleDTO deleteOcrSpecialRuleDTO) {
        return iOcrSpecialRuleService.delete(deleteOcrSpecialRuleDTO);
    }
}
