package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.segmentation.OcrUrlConfigApi;
import com.docus.server.dto.segmentation.ocrurlconfig.AddOcrUrlConfigDTO;
import com.docus.server.dto.segmentation.ocrurlconfig.DeleteOcrUrlConfigDTO;
import com.docus.server.dto.segmentation.ocrurlconfig.EditOcrUrlConfigDTO;
import com.docus.server.service.IOcrUrlConfigService;
import com.docus.server.vo.segmentation.ocrurlconfig.OcrUrlConfigVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * ocr路径配置表 控制器类
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
@Api(value = "ocr路径配置表", tags = "ocr路径配置表")
@RestController
public class OcrUrlConfigController implements OcrUrlConfigApi {
    @Resource
    private IOcrUrlConfigService iOcrUrlConfigService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @Override
    public OcrUrlConfigVO findById(Long id) {
        return iOcrUrlConfigService.findById(id);
    }

    /**
     * 查询所有
     *
     * @return 实体
     */
    @ApiOperation("查询所有")
    @Override
    public List<OcrUrlConfigVO> findAll() {
        return iOcrUrlConfigService.findAll();
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜索")
    @Override
    public PageResult<OcrUrlConfigVO> search(SearchDTO searchDTO) {
        return iOcrUrlConfigService.search(searchDTO);
    }

    /**
     * 新增
     *
     * @param addOcrUrlConfigDTO 编辑参数
     */
    @ApiOperation("新增")
    @Override
    public void add(AddOcrUrlConfigDTO addOcrUrlConfigDTO) {
        iOcrUrlConfigService.add(addOcrUrlConfigDTO);
    }

    /**
     * 编辑
     *
     * @param editOcrUrlConfigDTO 编辑参数
     */
    @ApiOperation("编辑")
    @Override
    public void edit(EditOcrUrlConfigDTO editOcrUrlConfigDTO) {
        iOcrUrlConfigService.edit(editOcrUrlConfigDTO);
    }

    /**
     * 批量删除
     *
     * @param deleteOcrUrlConfigDTO 删除参数
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @Override
    public int delete(DeleteOcrUrlConfigDTO deleteOcrUrlConfigDTO) {
        return iOcrUrlConfigService.delete(deleteOcrUrlConfigDTO);
    }
}
