package com.docus.server.infrastructure.dao;

import com.docus.infrastructure.core.db.dao.IBaseDao;
import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.segmentation.OcrCutConfigTest;

import java.util.List;

/**
 * ocr图片剪切配置-调试 数据访问接口
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
public interface IOcrCutConfigTestDao extends IBaseDao<OcrCutConfigTest> {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    OcrCutConfigTest findById(Long id);

    /**
     * 新增
     *
     * @param ocrCutConfigTest 新增参数
     * @return 成功或失败
     */
    boolean add(OcrCutConfigTest ocrCutConfigTest);

    /**
     * 编辑
     *
     * @param ocrCutConfigTest 编辑参数
     * @return 成功或失败
     */
    boolean edit(OcrCutConfigTest ocrCutConfigTest);

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    int delete(List<Long> ids);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<OcrCutConfigTest> search(SearchDTO searchDTO);

    /**
     * 名称不重复
     *
     * @param id   主键
     * @param name 名称
     * @return 名称重复数量
     */
    int findByIdAndName(Long id, String name);
}
