package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrcutconfig.AddOcrCutConfigDTO;
import com.docus.server.dto.segmentation.ocrcutconfig.DeleteOcrCutConfigDTO;
import com.docus.server.dto.segmentation.ocrcutconfig.EditOcrCutConfigDTO;
import com.docus.server.vo.segmentation.ocrcutconfig.OcrCutConfigVO;

import java.util.List;

/**
 * ocr图片剪切配置 服务接口
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
public interface IOcrCutConfigService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    OcrCutConfigVO findById(Long id);

    /**
     * 查询所有
     *
     * @return 实体
     */
    List<OcrCutConfigVO> findAll();

    /**
     * 新增
     *
     * @param addOcrCutConfigDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddOcrCutConfigDTO addOcrCutConfigDTO);

    /**
     * 编辑
     *
     * @param editOcrCutConfigDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditOcrCutConfigDTO editOcrCutConfigDTO);

    /**
     * 批量删除
     *
     * @param deleteOcrCutConfigDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteOcrCutConfigDTO deleteOcrCutConfigDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<OcrCutConfigVO> search(SearchDTO searchDTO);
}
