package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrsprule.AddOcrSpRuleDTO;
import com.docus.server.dto.segmentation.ocrsprule.DeleteOcrSpRuleDTO;
import com.docus.server.dto.segmentation.ocrsprule.EditOcrSpRuleDTO;
import com.docus.server.vo.segmentation.ocrsprule.OcrSpRuleVO;

import java.util.List;

/**
 * 特殊策略表 服务接口
 *
 * @author AutoGenerator
 * @since 2023-08-21
 */
public interface IOcrSpRuleService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    OcrSpRuleVO findById(Long id);

    /**
     * 查询所有
     *
     * @return 实体
     */
    List<OcrSpRuleVO> findAll();

    /**
     * 新增
     *
     * @param addOcrSpRuleDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddOcrSpRuleDTO addOcrSpRuleDTO);

    /**
     * 编辑
     *
     * @param editOcrSpRuleDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditOcrSpRuleDTO editOcrSpRuleDTO);

    /**
     * 批量删除
     *
     * @param deleteOcrSpRuleDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteOcrSpRuleDTO deleteOcrSpRuleDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<OcrSpRuleVO> search(SearchDTO searchDTO);
}
