package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrurlconfig.AddOcrUrlConfigDTO;
import com.docus.server.dto.segmentation.ocrurlconfig.DeleteOcrUrlConfigDTO;
import com.docus.server.dto.segmentation.ocrurlconfig.EditOcrUrlConfigDTO;
import com.docus.server.vo.segmentation.ocrurlconfig.OcrUrlConfigVO;

import java.util.List;

/**
 * ocr路径配置表 服务接口
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
public interface IOcrUrlConfigService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    OcrUrlConfigVO findById(Long id);

    /**
     * 查询所有
     *
     * @return 实体
     */
    List<OcrUrlConfigVO> findAll();

    /**
     * 新增
     *
     * @param addOcrUrlConfigDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddOcrUrlConfigDTO addOcrUrlConfigDTO);

    /**
     * 编辑
     *
     * @param editOcrUrlConfigDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditOcrUrlConfigDTO editOcrUrlConfigDTO);

    /**
     * 批量删除
     *
     * @param deleteOcrUrlConfigDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteOcrUrlConfigDTO deleteOcrUrlConfigDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<OcrUrlConfigVO> search(SearchDTO searchDTO);
}
