package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrversion.AddOcrVersionDTO;
import com.docus.server.dto.segmentation.ocrversion.DeleteOcrVersionDTO;
import com.docus.server.dto.segmentation.ocrversion.EditOcrVersionDTO;
import com.docus.server.vo.segmentation.ocrversion.OcrVersionVO;

import java.util.List;

/**
 * 正式数据版本号管理 服务接口
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
public interface IOcrVersionService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    OcrVersionVO findById(Long id);

    /**
     * 查询所有
     *
     * @return 实体
     */
    List<OcrVersionVO> findAll();

    /**
     * 新增
     *
     * @param addOcrVersionDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddOcrVersionDTO addOcrVersionDTO);

    /**
     * 编辑
     *
     * @param editOcrVersionDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditOcrVersionDTO editOcrVersionDTO);

    /**
     * 批量删除
     *
     * @param deleteOcrVersionDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteOcrVersionDTO deleteOcrVersionDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<OcrVersionVO> search(SearchDTO searchDTO);
}
