package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.zdassort.AddZdAssortDTO;
import com.docus.server.dto.segmentation.zdassort.DeleteZdAssortDTO;
import com.docus.server.dto.segmentation.zdassort.EditZdAssortDTO;
import com.docus.server.vo.segmentation.zdassort.ZdAssortVO;

import java.util.List;

/**
 * 病案分类 服务接口
 *
 * @author AutoGenerator
 * @since 2023-08-30
 */
public interface IZdAssortService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    ZdAssortVO findById(Long id);

    /**
     * 查询所有
     *
     * @return 实体
     */
    List<ZdAssortVO> findAll();

    /**
     * 新增
     *
     * @param addZdAssortDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddZdAssortDTO addZdAssortDTO);

    /**
     * 编辑
     *
     * @param editZdAssortDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditZdAssortDTO editZdAssortDTO);

    /**
     * 批量删除
     *
     * @param deleteZdAssortDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteZdAssortDTO deleteZdAssortDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<ZdAssortVO> search(SearchDTO searchDTO);
}
