package com.docus.server.service.impl;

import com.docus.server.dto.segmentation.UploadBatchFileRequest;
import com.docus.server.dto.segmentation.ocrbasic.AddOcrBasicDTO;
import com.docus.server.dto.segmentation.ocrfileinfo.AddOcrFileInfoDTO;
import com.docus.server.service.IOcrBasicService;
import com.docus.server.service.IOcrFileInfoService;
import com.docus.server.vo.scheduling.management.schcollectorversionfile.UploadFileVO;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.UUID;

@Service
public class CommonService {
    @Resource
    private IOcrBasicService iOcrBasicService;
    @Resource
    private IOcrFileInfoService iOcrFileInfoService;

    @Transactional(rollbackFor = Exception.class)
    public void add(List<UploadFileVO> segmentation, UploadBatchFileRequest request) {

        AddOcrBasicDTO addOcrBasicDTO = new AddOcrBasicDTO();

        addOcrBasicDTO.setPatientId(request.getPatientId());
        addOcrBasicDTO.setInpatientNo(request.getInpatientNo());
        addOcrBasicDTO.setName(request.getName());


        iOcrBasicService.add(addOcrBasicDTO);


        AddOcrFileInfoDTO addOcrFileInfoDTO = new AddOcrFileInfoDTO();

        List<AddOcrFileInfoDTO> files = new ArrayList<>();

        for (UploadFileVO uploadFileVO : segmentation) {
            addOcrFileInfoDTO.setPatientId(request.getPatientId());
            addOcrFileInfoDTO.setFileTitle(uploadFileVO.getFileTitle());
            addOcrFileInfoDTO.setPicName(uploadFileVO.getFileName());
            addOcrFileInfoDTO.setFileType(2);
            addOcrFileInfoDTO.setSerialNumber(UUID.randomUUID().toString().replace("-", ""));
            addOcrFileInfoDTO.setPicUrl(uploadFileVO.getSaveFilePath() + uploadFileVO.getFilePath());
            addOcrFileInfoDTO.setPicCutUrl(uploadFileVO.getSaveCutFilePath() + uploadFileVO.getFilePath());
            files.add(addOcrFileInfoDTO);
        }


        iOcrFileInfoService.addBatch(files);

    }
}
