package com.docus.server.service.impl;

import com.docus.infrastructure.redis.service.IdService;
import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.convert.OcrBasicTestConvert;
import com.docus.server.dto.segmentation.ocrbasictest.AddOcrBasicTestDTO;
import com.docus.server.dto.segmentation.ocrbasictest.DeleteOcrBasicTestDTO;
import com.docus.server.dto.segmentation.ocrbasictest.EditOcrBasicTestDTO;
import com.docus.server.entity.segmentation.OcrBasicTest;
import com.docus.server.infrastructure.dao.IOcrBasicTestDao;
import com.docus.server.service.IOcrBasicTestService;
import com.docus.server.vo.segmentation.ocrbasictest.OcrBasicTestVO;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * 患者信息表-调试 服务实现类
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
@Service
public class OcrBasicTestServiceImpl implements IOcrBasicTestService {
    @Resource
    private IOcrBasicTestDao iOcrBasicTestDao;
    @Resource
    private IdService idService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public OcrBasicTestVO findById(Long id) {
        return OcrBasicTestConvert.INSTANCE.convertVO(iOcrBasicTestDao.findById(id));
    }

    /**
     * 查询所有
     *
     * @return 实体
     */
    @Override
    public List<OcrBasicTestVO> findAll() {
        return OcrBasicTestConvert.INSTANCE.convertVO(iOcrBasicTestDao.findAll());
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<OcrBasicTestVO> search(SearchDTO searchDTO) {
        return OcrBasicTestConvert.INSTANCE.convertVO(iOcrBasicTestDao.search(searchDTO));

        //PageResult<OcrBasicTestVO> result = OcrBasicTestConvert.INSTANCE.convertVO(iOcrBasicTestDao.search(searchDTO));

        //if (CollectionUtils.isEmpty(result.getList())) {
        //return new PageResult<>();
        //}

        //Map<String, SchSystemParams> map = iSchSystemParamsService.find(ListUtils.distinctSelect(result.getList(), SchCollectorVO::getCollectorId));

        //result.getList().forEach(p -> {
        // String collectorId = String.valueOf(p.getCollectorId());
        // if (map.containsKey(collectorId)) {
        //     p.setCollectorName(map.get(collectorId).getParamName());
        // }
        //});

        //return result;
    }

    /**
     * 新增
     *
     * @param addOcrBasicTestDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean add(AddOcrBasicTestDTO addOcrBasicTestDTO) {
        OcrBasicTest ocrBasicTest = OcrBasicTestConvert.INSTANCE.convertDO(addOcrBasicTestDTO);
        ocrBasicTest.setId(idService.getDateSeq());
        return iOcrBasicTestDao.add(ocrBasicTest);

        // String name = addOcrBasicTestDTO.getName();

        //OcrBasicTest ocrBasicTest = iOcrBasicTestDao.findOneBy("name", name);

        //if (Func.notNull(ocrBasicTest)) {
        // throw new ApiException(ExceptionCode.ParamIllegal.getCode(), "患者信息表-调试已经存在");
        // }

        // OcrBasicTest ocrBasicTest =OcrBasicTestConvert.INSTANCE.convertDO(addOcrBasicTestDTO);
        // ocrBasicTest.setId(idService.getDateSeq());

        // return iOcrBasicTestDao.add(schCollector);

    }

    /**
     * 编辑
     *
     * @param editOcrBasicTestDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean edit(EditOcrBasicTestDTO editOcrBasicTestDTO) {
        OcrBasicTest ocrBasicTest = OcrBasicTestConvert.INSTANCE.convertDO(editOcrBasicTestDTO);
        return iOcrBasicTestDao.edit(ocrBasicTest);

        // Long id = editOcrBasicTestDTO.getId();

        //  OcrBasicTest ocrBasicTest = iOcrBasicTestDao.findById(id);

        // if (Func.isNull(ocrBasicTest)) {
        //     throw new ApiException(ExceptionCode.ParamIllegal.getCode(), "患者信息表-调试，无法更新！");
        // }

        // ocrBasicTest.setUpdateTime(LocalDateTime.now());
        // return iOcrBasicTestDao.edit(ocrBasicTest);
    }

    /**
     * 批量删除
     *
     * @param deleteOcrBasicTestDTO 删除参数
     * @return 成功或失败
     */
    @Override
    public int delete(DeleteOcrBasicTestDTO deleteOcrBasicTestDTO) {
        return iOcrBasicTestDao.delete(deleteOcrBasicTestDTO.getIds());
    }
}

